<?php

$do_mod = $_GET['do_mod'];
$do_action = $_GET['do_action'];
preg_match("/^[a-z]+$/is", $do_action) or yun_error('调用的应用非法');
module_exists($do_mod) or yun_error('调用的模块不存在');
if (file_exists($_t = ABSPATH . 'modules/' . $do_mod . '/__' . $do_action .
    '.php'))
{
    require ($_t);
} else
{
    yun_error('调用的应用不存在');
}
if (file_exists($_t = ABSPATH . 'modules/' . $do_mod . '/__' . $do_action .
    '_tpl.php'))
{
    require ($_t);
}
exit;

?>